package vip.xumy.admin.sys.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;

import vip.xumy.admin.sys.pojo.SysConfig;
import vip.xumy.admin.sys.service.ConfigService;
import vip.xumy.core.pojo.com.AjaxResponse;
import vip.xumy.core.pojo.com.PageResponse;

/**
 * Do not use for any commercial purposes without permission
 * 
 * @author: mengyxu
 * @date: 2022年1月4日
 */

@RestController
@RequestMapping("sys/config")
public class ConfigController {
	@Autowired
	private ConfigService configService;

	@GetMapping
	public PageResponse<SysConfig> list(SysConfig example) {
		Page<SysConfig> pages = PageHelper.startPage(example.getPage(), example.getSize());
		List<SysConfig> list = configService.queryByExample(example);
		PageResponse<SysConfig> rsp = new PageResponse<>();
		rsp.setRows(list);
		rsp.setTotal(pages.getTotal());
		return rsp;
	}
	
	@PutMapping
	public AjaxResponse update(@RequestBody SysConfig sysConfig) {
		configService.update(sysConfig);
		return new AjaxResponse(true, "修改成功");
	}

}
